-- Do not manually edit this file, it was auto-generated by dillonkearns/elm-graphql
-- https://github.com/dillonkearns/elm-graphql
module Shared.Api.Schema.Object.User exposing (..)

import Graphql.Internal.Builder.Argument as Argument exposing (Argument)
import Graphql.Field as Field exposing (Field)
import Graphql.Internal.Builder.Object as Object
import Graphql.SelectionSet exposing (SelectionSet)
import Graphql.OptionalArgument exposing (OptionalArgument(..))
import Graphql.Operation exposing (RootMutation, RootQuery, RootSubscription)
import Shared.Api.Schema.Object
import Shared.Api.Schema.Interface
import Shared.Api.Schema.Union
import Shared.Api.Schema.Scalar
import Shared.Api.Schema.InputObject
import Json.Decode as Decode
import Graphql.Internal.Encode as Encode exposing (Value)



{-| Select fields to build up a SelectionSet for this object.
-}
selection : (a -> constructor) -> SelectionSet (a -> constructor) Shared.Api.Schema.Object.User
selection constructor =
    Object.selection constructor
displayName : Field String Shared.Api.Schema.Object.User
displayName =
      Object.fieldDecoder "displayName" [] (Decode.string)


email : Field String Shared.Api.Schema.Object.User
email =
      Object.fieldDecoder "email" [] (Decode.string)
